Bug 140586 - Digikam crash while switching to another album
Summary: Digikam crash while switching to another album
Status: RESOLVED WORKSFORME
Alias: None
Product: digikam
Classification: Unclassified
Component: Database-Albums (show other bugs)
Version: unspecified
Platform: Mandriva RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-25 05:53 UTC by FACORAT Fabrice
Modified: 2017-07-20 05:23 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description FACORAT Fabrice 2007-01-25 05:53:33 UTC
Version:            (using KDE KDE 3.5.5)
Installed from:    Mandriva RPMs
OS:                Linux

I was watching an album with many photos ( 118 ). I tried to switch to another photo album but unfortunately digikam crash while viewing this other album.

here is the bactrace from drkonqui :

(no debugging symbols found)
Using host libthread_db library "/lib/i686/libthread_db.so.1".
(no debugging symbols found)
`shared object read from target memory' has disappeared; keeping its symbols.
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1241979184 (LWP 18999)]
[New Thread -1272685664 (LWP 20598)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[KCrash handler]
#6  0xb7cc4507 in Digikam::AlbumIconItem::imageInfo ()
   from /usr/lib/libdigikam.so.0
#7  0xb7cbeab5 in Digikam::AlbumIconView::slotSetAlbumThumbnail ()
   from /usr/lib/libdigikam.so.0
#8  0xb7cc0f34 in Digikam::AlbumIconView::slotRightButtonClicked ()
   from /usr/lib/libdigikam.so.0
#9  0xb7cc20cf in Digikam::AlbumIconView::qt_invoke ()
   from /usr/lib/libdigikam.so.0
#10 0xb695cf2d in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#11 0xb7d0e589 in Digikam::IconView::signalRightButtonClicked ()
   from /usr/lib/libdigikam.so.0
#12 0xb7d11756 in Digikam::IconView::contentsMousePressEvent ()
   from /usr/lib/libdigikam.so.0
#13 0xb6a712a1 in QScrollView::viewportMousePressEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#14 0xb6a6e64a in QScrollView::eventFilter ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#15 0xb695c83c in QObject::activate_filters ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#16 0xb695c8ab in QObject::event () from /usr/lib/qt3/lib/libqt-mt.so.3
#17 0xb6994ddc in QWidget::event () from /usr/lib/qt3/lib/libqt-mt.so.3
#18 0xb68fff77 in QApplication::internalNotify ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#19 0xb6900f29 in QApplication::notify () from /usr/lib/qt3/lib/libqt-mt.so.3
#20 0xb6fec87a in KApplication::notify () from /usr/lib/libkdecore.so.4
#21 0xb68a2609 in QETWidget::translateMouseEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#22 0xb68a1586 in QApplication::x11ProcessEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#23 0xb68b161a in QEventLoop::processEvents ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#24 0xb6915952 in QEventLoop::enterLoop () from /usr/lib/qt3/lib/libqt-mt.so.3
#25 0xb6915816 in QEventLoop::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
#26 0xb68ff92f in QApplication::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
#27 0x0804a5f6 in main ()
Comment 1 caulier.gilles 2007-04-20 14:38:39 UTC
Fabrice,

This crash can be reproduce using digiKam 0.9.1 ?

Gilles Caulier
Comment 2 Arnd Baecker 2007-06-06 21:35:29 UTC
Fabrice, 

is this crash still reproducible using digikam 0.9.2-beta3 ?

Many thanks in advance for any feedback!
Comment 3 FACORAT Fabrice 2007-06-06 22:43:40 UTC
I can no longer reproduced the crash. closing as FIXED/RESOLVED